aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-exporter-lite/APKBUILD
diff options
context:
space:
mode:
authorJakub Jirutka <jakub@jirutka.cz>2016-06-12 16:44:44 +0200
committerJakub Jirutka <jakub@jirutka.cz>2016-06-12 17:43:06 +0200
commit1192a785dbaa88255d59f4ea9ff21c63781d2fbc (patch)
treefe3ff620dcc490f429476bd567f79edcd6eb460b /testing/perl-exporter-lite/APKBUILD
parent92726e7829012c6dc90e844ae90da2741538ef13 (diff)
downloadaports-1192a785dbaa88255d59f4ea9ff21c63781d2fbc.tar.gz
aports-1192a785dbaa88255d59f4ea9ff21c63781d2fbc.tar.bz2
aports-1192a785dbaa88255d59f4ea9ff21c63781d2fbc.tar.xz
testing/perl-exporter-lite: new abuild
http://search.cpan.org/dist/Exporter-Lite/ Lightweight exporting of functions and variables
Diffstat (limited to 'testing/perl-exporter-lite/APKBUILD')
-rw-r--r--testing/perl-exporter-lite/APKBUILD42
1 files changed, 42 insertions, 0 deletions
diff --git a/testing/perl-exporter-lite/APKBUILD b/testing/perl-exporter-lite/APKBUILD
new file mode 100644
index 0000000000..d64367bf33
--- /dev/null
+++ b/testing/perl-exporter-lite/APKBUILD
@@ -0,0 +1,42 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Jakub Jirutka <jakub@jirutka.cz>
+# Maintainer: Jakub Jirutka <jakub@jirutka.cz>
+pkgname=perl-exporter-lite
+_pkgreal=Exporter-Lite
+pkgver=0.08
+pkgrel=0
+pkgdesc="Lightweight exporting of functions and variables"
+url="http://search.cpan.org/dist/Exporter-Lite/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends=""
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/N/NE/NEILB/$_pkgreal-$pkgver.tar.gz"
+builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ default_prepare || return 1
+
+ cd "$builddir"
+ export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$builddir"
+ export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+ make && make test
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="4982e3e96b9536cbce8b1f708eb718a1 Exporter-Lite-0.08.tar.gz"
+sha256sums="c05b3909af4cb86f36495e94a599d23ebab42be7a18efd0d141fc1586309dac2 Exporter-Lite-0.08.tar.gz"
+sha512sums="8c6ff5a88c1b810d74156c5d84695cfde6f555e0fc663804123e2a96f5e2235a5adeebbf24b18301ed2c3fb57f76788ecfdf301b26263279e92a88a9143b8953 Exporter-Lite-0.08.tar.gz"